INTERFACE
subroutine hlcondfc (&
 & khor, klev, kstart,&
 & kstop, kstep,&
 & pt, pq,&
 & pdtdtin, pdqdtin, pdcwdin,&
 & pdicedin,&
 & pdiftql, pdiftqn, pdiftq,&
 & pdifts,&
 & pdpf ) 
use parkind1 ,only : jpim ,jprb
integer(kind=jpim),intent(in) :: khor
integer(kind=jpim),intent(in) :: klev
integer(kind=jpim),intent(in) :: kstart
integer(kind=jpim),intent(in) :: kstop
integer(kind=jpim),intent(in) :: kstep
real(kind=jprb), intent(in) :: pt(khor,klev)
real(kind=jprb), intent(in) :: pq(khor,klev)
real(kind=jprb), intent(inout) :: pdtdtin(khor,klev)
real(kind=jprb), intent(inout) :: pdqdtin(khor,klev)
real(kind=jprb), intent(inout) :: pdcwdin(khor,klev)
real(kind=jprb), intent(inout) :: pdicedin(khor,klev)
real(kind=jprb), intent(in) :: pdiftql(khor,0:klev)
real(kind=jprb), intent(in) :: pdiftqn(khor,0:klev)
real(kind=jprb), intent(in) :: pdiftq(khor,0:klev)
real(kind=jprb), intent(in) :: pdifts(khor,0:klev)
real(kind=jprb), intent(in) :: pdpf(khor,klev)
end subroutine hlcondfc
END INTERFACE
